<template>
  <div class="flex flex-col bg-white rounded-xl border-2 border-gray-300 p-3 xl:px-4">
    <img src="~/assets/img/finfo.png" alt="finfo Podcast" class="w-1/2 self-center">
    <p class="text-center mt-2 mb-3">
      Entdecke Deutschlands profitabelsten Newsletter
    </p>
    <p class="text-center font-bold">
      {{ newsletterTitle }}
    </p>
    <client-only>
      <a class="text-center" :href="newsletterLink" target="_blank">Jetzt lesen</a>
    </client-only>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';

export default Vue.extend({
  data () {
    return {
      newsletterLink: '',
      newsletterTitle: ''
    };
  },

  computed: {
    ...mapState({
      finfoFeed: (state: any) => state.feed.finfo
    })
  },

  created () {
    if (typeof window !== 'undefined') {
      const parser = new DOMParser();

      try {
        const xmlDoc = parser.parseFromString(this.finfoFeed, 'text/html');

        const campaignElement = xmlDoc.getElementsByClassName('campaign')[0];

        this.newsletterTitle = campaignElement.getElementsByTagName('a')[0].textContent || '';
        this.newsletterLink = campaignElement.getElementsByTagName('a')[0].getAttribute('href') || '';
      } catch (ex) {
        console.error('Could not parse finfo page', ex);
      }
    }
  }
});
</script>
